# Method: dicomStores.deidentify

**Full name**: projects.locations.datasets.dicomStores.deidentify

De-identifies data from the source store and writes it to the destination store. The `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation.FIELDS.metadata` field type is `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/OperationMetadata`. If the request is successful, the `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation.FIELDS.response` field type is `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/Shared.Types/DeidentifyDicomStoreSummary`. If errors occur, `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation.FIELDS.error` is set. The LRO result may still be successful if de-identification fails for some DICOM instances. The output DICOM store will not contain these failed resources. Failed resource totals are tracked in `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation.FIELDS.metadata`. Error details are also logged to Cloud Logging (see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging)).

### HTTP request

`POST https://healthcare.googleapis.com/v1/{sourceStore=projects/*/locations/*/datasets/*/dicomStores/*}:deidentify`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `sourceStore` | `string` Required. Source DICOM store resource name. For example, `projects/{projectId}/locations/{locationId}/datasets/{datasetId}/dicomStores/{dicomStoreId}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "destinationStore": string, "config": { object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.fhirStores#DeidentifyConfig`) }, "gcsConfigUri": string, "filterConfig": { object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/DicomFilterConfig`) } } ``` |

| Fields ||
|---|---|
| `destinationStore` | `string` Required. The name of the DICOM store to write the redacted data to. For example, `projects/{projectId}/locations/{locationId}/datasets/{datasetId}/dicomStores/{dicomStoreId}`. - The destination dataset and DICOM store must exist. - The source dataset and destination dataset must both reside in the same location. De-identifying data across multiple locations is not supported. - The caller must have the healthcare.dicomStores.dicomWebWrite permission to write to the destination DICOM store. |
| `config` | ``object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/projects.locations.datasets.fhirStores#DeidentifyConfig`)`` Deidentify configuration. Only one of `config` and `gcsConfigUri` can be specified. |
| `gcsConfigUri` | `string` Cloud Storage location to read the JSON `cloud.healthcare.deidentify.DeidentifyConfig` from, overriding the default config. Must be of the form `gs://{bucket_id}/path/to/object`. The Cloud Storage location must grant the Cloud IAM role `roles/storage.objectViewer` to the project's Cloud Healthcare Service Agent service account. Only one of `config` and `gcsConfigUri` can be specified. |
| `filterConfig` | ``object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1/DicomFilterConfig`)`` Filter configuration. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/healthcare-api/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-healthcare`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).